@charset "UTF-8";
/* ======================================================================
 p-contact
====================================================================== */
.c-form__heading {
  margin: 0 0 2.0833333333vw;
  text-align: center;
}
@media screen and (max-width: 767px) {
  .c-form__heading {
    margin: 0 0 7.6923076923vw;
    padding: 0 5.1282051282vw;
  }
}
.c-form__heading-title {
  margin: 0 0 0.6944444444vw;
  font-weight: bold;
  font-size: 1.6666666667vw;
  line-height: 1.5;
}
@media screen and (max-width: 767px) {
  .c-form__heading-title {
    margin: 0 0 2.5641025641vw;
    font-weight: bold;
    font-size: 6.1538461538vw;
    line-height: 1.5;
  }
}
.c-form__heading-text {
  font-size: 1.1111111111vw;
  line-height: 2.3125;
}
@media screen and (max-width: 767px) {
  .c-form__heading-text {
    text-align: left;
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}
.c-form__body {
  padding: 4.1666666667vw 1.3888888889vw 6.25vw;
  border-top: 1px solid #c59a4e;
  background: rgba(197, 154, 78, 0.15);
}
@media screen and (max-width: 767px) {
  .c-form__body {
    padding: 7.6923076923vw 5.1282051282vw;
  }
}
.c-form .smf-form {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 2.0833333333vw;
  margin: 0 auto;
  width: 68.0555555556vw;
}
@media screen and (max-width: 767px) {
  .c-form .smf-form {
    gap: 7.6923076923vw;
    width: 100%;
  }
}
.c-form .smf-item {
  display: grid;
  grid-template-columns: 1fr 44.4444444444vw;
  padding-top: 2.0833333333vw;
  border-top: 1px solid rgba(197, 154, 78, 0.5);
}
@media screen and (max-width: 767px) {
  .c-form .smf-item {
    grid-template-columns: 1fr;
    gap: 0vw;
    padding-top: 2.5641025641vw;
  }
}
.c-form .smf-item:last-child {
  padding-bottom: 2.0833333333vw;
  border-bottom: 1px solid rgba(197, 154, 78, 0.5);
}
@media screen and (max-width: 767px) {
  .c-form .smf-item:last-child {
    padding-bottom: 7.6923076923vw;
  }
}
.c-form .smf-item:has([data-validations=required]) .smf-item__label, .c-form .smf-item:has([data-validations="email required"]) .smf-item__label {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  gap: 1.3888888889vw;
}
@media screen and (max-width: 767px) {
  .c-form .smf-item:has([data-validations=required]) .smf-item__label, .c-form .smf-item:has([data-validations="email required"]) .smf-item__label {
    gap: 5.1282051282vw;
  }
}
.c-form .smf-item:has([data-validations=required]) .smf-item__label:after, .c-form .smf-item:has([data-validations="email required"]) .smf-item__label:after {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  width: 2.7777777778vw;
  height: 1.3888888889vw;
  border-radius: 0.2083333333vw;
  background: #c00;
  color: #fff;
  content: "必須";
  font-size: 0.8333333333vw;
}
@media screen and (max-width: 767px) {
  .c-form .smf-item:has([data-validations=required]) .smf-item__label:after, .c-form .smf-item:has([data-validations="email required"]) .smf-item__label:after {
    width: 10.2564102564vw;
    height: 5.1282051282vw;
    border-radius: 0.7692307692vw;
    font-size: 3.0769230769vw;
  }
}
.c-form .smf-item__label {
  padding: 0.6944444444vw 0 0.6944444444vw 0.6944444444vw;
  font-size: 1.1111111111vw;
  line-height: 1.875;
}
@media screen and (max-width: 767px) {
  .c-form .smf-item__label {
    padding: 2.5641025641vw 0 2.5641025641vw 0;
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}
.c-form .smf-item__controls {
  font-size: 1.1111111111vw;
  line-height: 1.875;
}
@media screen and (max-width: 767px) {
  .c-form .smf-item__controls {
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}
.c-form input[type=text],
.c-form input[type=email],
.c-form input[type=tel] {
  width: 100%;
  height: 3.4722222222vw;
  border: 1px solid #e5e5e5;
  border-radius: 0.2083333333vw;
  background: #fff;
  font-size: 1.1111111111vw;
  line-height: 1.875;
}
@media screen and (max-width: 767px) {
  .c-form input[type=text],
.c-form input[type=email],
.c-form input[type=tel] {
    height: 12.8205128205vw;
    border-radius: 0.7692307692vw;
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}
.c-form input[type=text]::-webkit-input-placeholder, .c-form input[type=email]::-webkit-input-placeholder, .c-form input[type=tel]::-webkit-input-placeholder {
  color: #a5a5a5;
}
.c-form input[type=text]::-moz-placeholder, .c-form input[type=email]::-moz-placeholder, .c-form input[type=tel]::-moz-placeholder {
  color: #a5a5a5;
}
.c-form input[type=text]:-ms-input-placeholder, .c-form input[type=email]:-ms-input-placeholder, .c-form input[type=tel]:-ms-input-placeholder {
  color: #a5a5a5;
}
.c-form input[type=text]::-ms-input-placeholder, .c-form input[type=email]::-ms-input-placeholder, .c-form input[type=tel]::-ms-input-placeholder {
  color: #a5a5a5;
}
.c-form input[type=text]::placeholder,
.c-form input[type=email]::placeholder,
.c-form input[type=tel]::placeholder {
  color: #a5a5a5;
}
.c-form input[type=text].error, .c-form input[type=text][data-invalid="1"],
.c-form input[type=email].error,
.c-form input[type=email][data-invalid="1"],
.c-form input[type=tel].error,
.c-form input[type=tel][data-invalid="1"] {
  border-color: #c00;
}
.c-form textarea {
  height: 11.8055555556vw;
  border: 1px solid #e5e5e5;
  border-radius: 0.2083333333vw;
  background: #fff;
  font-size: 1.1111111111vw;
  line-height: 1.875;
}
@media screen and (max-width: 767px) {
  .c-form textarea {
    height: 43.5897435897vw;
    border-radius: 0.7692307692vw;
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}
.c-form textarea::-webkit-input-placeholder {
  color: #a5a5a5;
}
.c-form textarea::-moz-placeholder {
  color: #a5a5a5;
}
.c-form textarea:-ms-input-placeholder {
  color: #a5a5a5;
}
.c-form textarea::-ms-input-placeholder {
  color: #a5a5a5;
}
.c-form textarea::placeholder {
  color: #a5a5a5;
}
.c-form .smf-action {
  margin: 4.1666666667vw auto 0;
  width: 68.0555555556vw;
}
@media screen and (max-width: 767px) {
  .c-form .smf-action {
    margin: 7.6923076923vw auto 0;
    width: 100%;
  }
}
.c-form .smf-action .smf-button-control__control {
  margin: 0 !important;
  width: 100%;
}
.c-form .smf-action .smf-button-control__control[data-action=confirm], .c-form .smf-action .smf-button-control__control[data-action=complete] {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  width: 30.5555555556vw;
  height: 6.1111111111vw;
  border: 0.0694444444vw solid #c59a4e;
  border-radius: 0;
  background: #c59a4e;
  color: #fff;
  font-weight: bold;
  font-size: 1.6666666667vw;
  line-height: 1.5;
  -webkit-transition: 0.3s all;
  transition: 0.3s all;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
@media screen and (max-width: 767px) {
  .c-form .smf-action .smf-button-control__control[data-action=confirm], .c-form .smf-action .smf-button-control__control[data-action=complete] {
    margin: 0 auto !important;
    max-width: 79.4871794872vw;
    width: 100%;
    height: 12.8205128205vw;
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}
.c-form .smf-action .smf-button-control__control[data-action=confirm]:hover, .c-form .smf-action .smf-button-control__control[data-action=complete]:hover {
  background: #fff;
  color: #c59a4e;
}
.c-form .smf-action .smf-button-control__control[data-action=back] {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
  margin: 0 auto !important;
  width: 12.5vw;
  height: 6.1111111111vw;
  border: 0.0694444444vw solid #a5a5a5;
  border-radius: 0;
  background: #a5a5a5;
  color: #fff;
  font-weight: bold;
  font-size: 1.6666666667vw;
  line-height: 1.5;
  -webkit-transition: 0.3s all;
  transition: 0.3s all;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
@media screen and (max-width: 767px) {
  .c-form .smf-action .smf-button-control__control[data-action=back] {
    max-width: 46.1538461538vw;
    width: 100%;
    height: 12.8205128205vw;
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}
.c-form .smf-action .smf-button-control__control[data-action=back]:hover {
  background: #fff;
  color: #a5a5a5;
}
.c-form .smf-text-control .error {
  color: #c00;
  font-size: 1.1111111111vw;
  line-height: 2.125;
}
@media screen and (max-width: 767px) {
  .c-form .smf-text-control .error {
    font-size: 4.1025641026vw;
    line-height: 2.125;
  }
}
.c-form .smf-error-messages {
  margin-top: 0.4166666667vw !important;
  color: #c00;
  font-size: 0.8333333333vw;
  line-height: 1.5384615385;
}
.c-form:has([data-screen=input]) .smf-action, .c-form:has([data-screen=invalid]) .smf-action, .c-form:has([data-screen=back]) .smf-action {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-pack: center;
  -ms-flex-pack: center;
  justify-content: center;
}
.c-form:has([data-screen=input]) .smf-button-control, .c-form:has([data-screen=invalid]) .smf-button-control, .c-form:has([data-screen=back]) .smf-button-control {
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  text-align: center;
}
.c-form:has([data-screen=confirm]) .smf-item__label:after {
  display: none !important;
}
.c-form:has([data-screen=confirm]) .smf-item__controls {
  padding: 0.6944444444vw 0;
}
@media screen and (max-width: 767px) {
  .c-form:has([data-screen=confirm]) .smf-item__controls {
    padding: 0;
  }
}
.c-form:has([data-screen=confirm]) .smf-action {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  gap: 6.25vw;
}
@media screen and (max-width: 767px) {
  .c-form:has([data-screen=confirm]) .smf-action {
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: reverse;
    -ms-flex-direction: column-reverse;
    flex-direction: column-reverse;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    gap: 5.1282051282vw;
  }
}
.c-form:has([data-screen=confirm]) .smf-action .smf-button-control {
  margin: 0 !important;
}
@media screen and (max-width: 767px) {
  .c-form:has([data-screen=confirm]) .smf-action .smf-button-control {
    width: 100%;
  }
}
.c-form:has([data-screen=complete]) .c-form__heading {
  display: none;
}
.c-form:has([data-screen=complete]) .c-form__body {
  padding: 0;
  border: none;
  background: #fff;
}

.c-form-complete {
  padding: 0 1.3888888889vw 3.8194444444vw;
  text-align: center;
}
@media screen and (max-width: 767px) {
  .c-form-complete {
    padding: 0 5.1282051282vw 10.2564102564vw;
  }
}
.c-form-complete__title {
  margin: 0 0 0.6944444444vw;
  font-weight: bold;
  font-size: 1.6666666667vw;
  line-height: 1.5;
}
@media screen and (max-width: 767px) {
  .c-form-complete__title {
    margin: 0 0 2.5641025641vw;
    font-weight: bold;
    font-size: 6.1538461538vw;
    line-height: 1.5;
  }
}
.c-form-complete__text {
  font-size: 1.1111111111vw;
  line-height: 2.3125;
}
@media screen and (max-width: 767px) {
  .c-form-complete__text {
    text-align: left;
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}
.c-form-complete__link {
  display: block;
  margin: 2.0833333333vw auto 0;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  text-align: center;
  text-decoration: underline;
  font-size: 1.1111111111vw;
  line-height: 2.3125;
}
.c-form-complete__link:link, .c-form-complete__link:active, .c-form-complete__link:visited {
  color: #c59a4e;
  cursor: pointer;
}
.c-form-complete__link:hover {
  color: #c59a4e;
}
@media screen and (max-width: 767px) {
  .c-form-complete__link {
    margin: 5.1282051282vw auto 0;
    text-align: left;
    font-size: 4.1025641026vw;
    line-height: 1.875;
  }
}
.c-form-complete__link:hover {
  text-decoration: none;
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
